
// Main file for dreaming 3 work.

// global_settings { max_intersections 128 max_trace_level 200 adc_bailout 0.0009 }
   global_settings { max_intersections 128 max_trace_level  10 adc_bailout 0.0009 }

#include "colors.inc"
#include "kolors2.inc"
#include "finish.inc"
#include "golds.inc"
#include "metals.inc"
#include "stones.inc"
#include "textures.inc"
#include "woodmaps.inc"
#include "woods.inc"

#include "pcm.mcr"

   #include "dreaming3.inc"
   #include "sky.inc"
   #include "sign.inc"
   #include "things.inc"
   #include "castle.inc"
   #declare BASE  = object {
              read_mesh ("base.pcm")
              texture { pigment { Red } }
              translate <-0.5,-0.5,0.0>
              scale <1.0,1.0,1.0>
            }

#declare cameraLookAtX =     0.00;
#declare cameraLookAtY =     0.00;
#declare cameraLookAtZ =    -1.00;
#declare cameraLookAtV = <cameraLookAtX,cameraLookAtY,cameraLookAtZ>;

#declare cameraLocationX =        0.0 + cameraLookAtX;
#declare cameraLocationY =       -7.0 + cameraLookAtY;
#declare cameraLocationZ =       -1.0 + cameraLookAtZ;
#declare cameraLocationV = <cameraLocationX,cameraLocationY,cameraLocationZ>;

#declare cameraAngle = 75;

camera {
    sky <0,0,-1>
    location cameraLocationV
    look_at cameraLookAtV
    angle cameraAngle
}

light_source { < 7000.0, -7025.0, -7000.0> color rgb 4*<0.282, 0.400, 0.318> }
light_source { < 7050.0, -7000.0, -7050.0> color rgb 4*<0.282, 0.400, 0.318> }

// General ambient
light_source { < 0.0, 0.0,-2000.0> color rgb 2.5*<0.282, 0.400, 0.318> shadowless }
light_source { < 0.0, 0.0, 2000.0> color rgb 2.5*<0.282, 0.400, 0.318> shadowless }

   object { SIGN          scale 0.50  rotate -90*x                          translate < 0.000, 0.000,-1.300> }
   object { SNOW_MAN1     scale 1.00  rotate -90*x rotate -45*z             translate <-1.424,-3.327, 0.060> }
   object { SNOW_MAN2     scale 1.00  rotate -90*x                          translate < 2.430,-1.214, 0.060> }
   object { SNOW_MAN3     scale 1.00  rotate -90*x rotate -30*z             translate < 0.400,-3.636, 0.060> }
   object { SNOW_WOMAN3   scale 1.00  rotate -90*x rotate  50*z             translate <-2.965, 3.092,-0.270> }
   object { SNOW_WOMAN4   scale 1.00  rotate -90*x rotate -50*z             translate < 4.140,-0.556,-0.270> }
   object { SNOW_WOMAN5   scale 1.00  rotate -90*x rotate  10*z             translate <-1.631, 3.881,-0.070> }

   object { zHAT          scale 1.00  rotate -90*x                          translate < 1.807,-1.707, 0.060> } // *
   object { zHAT          scale 1.00  rotate -90*x                          translate <-2.930, 0.786, 0.060> } // *
   object { zHAT          scale 1.00  rotate -90*x                          translate < 2.473, 3.198, 0.060> } // *
   object { zHATCUT       scale 1.00  rotate -90*x rotate -60*z             translate < 0.490,-0.403, 0.060> } // *
   object { zHAT_UP_DOWN  scale 1.00  rotate -90*x                          translate < 0.244,-1.130, 0.060> } // *
   object { zHAT_UP_DOWN  scale 1.00  rotate -90*x                          translate <-2.901,-1.068, 0.060> } // *
   object { zHAT_SIDEWAYS scale 1.00  rotate -90*x rotate 110*z             translate <-1.385,-1.511, 0.060> } // *
   object { zHAT_SIDEWAYS scale 1.00  rotate -90*x rotate  73*z             translate < 0.295,-2.014, 0.060> } // *
   object { zHAT_SIDEWAYS scale 1.00  rotate -90*x rotate 190*z             translate < 0.799,-0.914, 0.060> } // *
   object { zHAT_SIDEWAYS scale 1.00  rotate -90*x rotate 144*z             translate <-0.784,-0.256, 0.060> } // *
   object { zHAT_SIDEWAYS scale 1.00  rotate -90*x rotate 101*z             translate <-1.626, 1.686, 0.060> } // ----- Fixed
   object { zHAT_SIDEWAYS scale 1.00  rotate -90*x rotate 239*z             translate < 0.264, 1.192, 0.060> } // *
   object { zHAT_SIDEWAYS scale 1.00  rotate -90*x rotate  15*z             translate < 0.388, 1.819, 0.060> } // *
   object { zHAT_SIDEWAYS scale 1.00  rotate -90*x rotate  10*z             translate <-0.919, 3.214, 0.060> } // *

   object { NOSE          scale 1.00  rotate  -90*x                         translate < 0.489,-2.145,-0.011> }
   object { NOSE          scale 1.00  rotate -135*x                         translate < 1.006,-1.144  0.053> }
   object { NOSE          scale 1.00  rotate  -90*x rotate   45*y           translate < 0.816, 1.145  0.011> }
   object { NOSE          scale 1.10  rotate  -90*x                         translate < 0.528, 2.069,-0.096> }
   object { NOSE          scale 1.00  rotate  -90*x rotate   45*y           translate <-3.486,-0.906, 0.029> }

   object { NOSE_SIDEWAYS scale 1.00  rotate  -90*x rotate   35*z           translate < 2.121, 2.581, 0.060> }
   object { NOSE_SIDEWAYS scale 1.00  rotate  -90*x rotate  135*z           translate <-1.268, 1.234, 0.060> }
   object { NOSE_SIDEWAYS scale 1.00  rotate  -90*x rotate   65*z           translate <-0.517,-0.267, 0.060> }
   object { NOSE_SIDEWAYS scale 1.00  rotate  -90*x rotate  215*z           translate < 0.410,-0.046, 0.060> }
   object { NOSE_SIDEWAYS scale 1.00  rotate  -90*x rotate   80*z           translate < 2.110,-1.856, 0.060> }

   //--------------- The misc lumps of coal....
   object { sphere { < 0.519,-2.110, 0.008> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 0.444,-2.132, 0.015> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 0.481,-2.197,-0.011> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 0.518,-2.187,-0.011> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 0.559, 2.111, 0.006> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 0.531, 2.118,-0.086> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 0.505, 2.119, 0.005> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 0.555, 2.026, 0.027> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 0.483, 2.039, 0.027> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { <-0.588,-0.515,-0.016> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { <-3.477,-0.861, 0.029> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { <-3.449,-0.937, 0.029> 0.008 } texture { pigment { k_Blue_Charcoal } } }

   object { sphere { < 2.052,-1.896, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 2.182,-1.951, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 0.910,-1.184, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 1.010,-0.929, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { <-0.116,-0.928, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 0.163,-0.144, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 0.524,-0.094, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { <-0.463,-0.478, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { <-2.015,-1.778, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { <-1.748,-1.813, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 0.704, 1.079, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 0.775, 1.280, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 2.176, 2.959, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 2.224, 3.257, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 2.337, 3.376, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }
   object { sphere { < 2.379, 0.819, 0.060> 0.008 } texture { pigment { k_Blue_Charcoal } } }

   object { zBARREL       scale 1.10               rotate  145*z            translate <-1.615,-3.551,-0.540> }

   object { CASTLE  translate <-0.50,-0.50, 0.00>           scale 10.00 }
   object { BASE                                            scale 10.00 texture { T_SNOW1 } }
   object { box { <-1.5,-1.5, 0.0058>, <1.5, 1.5, 0.0059> } scale 10.00 texture { T_ICE1 } }

